OpenTTD Source: SlTownAcceptanceMatrix Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions | Static Public Attributes
SlTownAcceptanceMatrix Class Reference
Inheritance diagram for SlTownAcceptanceMatrix:

## Public Member Functions
void | Load (Town *t) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlTownAcceptanceMatrix, Town >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save (Town *object) const
void | Save (void *object) const override
| Save the object to disk. More...
void | Load (void *object) const override
| Load the object from disk. More...
virtual void | LoadCheck (Town *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers (Town *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers. More...
Public Member Functions inherited from SaveLoadHandler
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _town_acceptance_matrix_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 184 of file town_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlTownAcceptanceMatrix::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(AcceptanceMatrix, area.tile, SLE_UINT32),
SLE_VAR(AcceptanceMatrix, area.w, SLE_UINT16),
SLE_VAR(AcceptanceMatrix, area.h, SLE_UINT16),
}

Definition at line 186 of file town_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/town_sl.cpp

TileMatrix
A simple matrix that stores one value per N*N square of the map.
Definition: tilematrix_type.hpp:27
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:771